Package com.treemap

# Interface Rendering<C,N,Row,Column,Color,Font>

Type Parameters:
  `N` - the type of nodes

All Known Implementing Classes:
  `AbstractRendering`, `CushionRendering`

@JsType public interface Rendering<C,N,Row,Column,Color,Font>
Defines how nodes should be rendered on the display.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.igraphics.CPColor<Color>`
  `getNestingBackground(N node, TreeMapModel<N,Row,Column,Color,Font> model)`
  `Iterable<N>`
  `getOrder(TreeMapView<C,N,Row,Column,Color,Font> view, N root, int pass)`
  `Iterable<N>`
  `getParentOrder(TreeMapView<C,N,Row,Column,Color,Font> view, N root, int pass)`
  `int`
  `getPasses(TreeMapModel<N,Row,Column,Color,Font> model)`
  `com.macrofocus.geom.Shape`
  `getRenderedShape(TreeMapView<C,N,Row,Column,Color,Font> view, TreeMapModel<N,Row,Column,Color,Font> model, N node, com.macrofocus.geom.Shape shape)`
  `void`
  `paintBackground(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, int passes, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `void`
  `paintBorder(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `void`
  `paintLabel(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, int passes, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `boolean`
  `paintNode(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `void`
  `paintParent(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `void`
  `paintParentBorder(TGraphics<Color,Font> g, N node, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape, TreeMapModel<N,Row,Column,Color,Font> model)`
  `void`
  `paintParentHighlight(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`

- ## Method Details

  - ### getPasses

    @JsIgnore int getPasses(TreeMapModel<N,Row,Column,Color,Font> model)

  - ### paintParent

    @JsIgnore void paintParent(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintParentBorder

    @JsIgnore void paintParentBorder(TGraphics<Color,Font> g, N node, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape, TreeMapModel<N,Row,Column,Color,Font> model)

  - ### paintNode

    @JsIgnore boolean paintNode(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintBackground

    @JsIgnore void paintBackground(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, int passes, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintLabel

    @JsIgnore void paintLabel(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, int passes, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintParentHighlight

    @JsIgnore void paintParentHighlight(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintBorder

    @JsIgnore void paintBorder(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### getParentOrder

    @JsIgnore Iterable<N> getParentOrder(TreeMapView<C,N,Row,Column,Color,Font> view, N root, int pass)

  - ### getOrder

    @JsIgnore Iterable<N> getOrder(TreeMapView<C,N,Row,Column,Color,Font> view, N root, int pass)

  - ### getRenderedShape

    @JsIgnore com.macrofocus.geom.Shape getRenderedShape(TreeMapView<C,N,Row,Column,Color,Font> view, TreeMapModel<N,Row,Column,Color,Font> model, N node, com.macrofocus.geom.Shape shape)

  - ### getNestingBackground

    @JsIgnore com.macrofocus.igraphics.CPColor<Color> getNestingBackground(N node, TreeMapModel<N,Row,Column,Color,Font> model)